%define gitcommit aec68a
%define gitcommit_date 20140913

%define major	0
%define libname	%mklibname %{name} %{major}
%define develname	%mklibname -d %name
%define _udevdir /lib/udev/rules.d

Summary:	Tools to manage multipathed devices with the device-mapper
Name:		multipath-tools
Version:	0.5.0
Release:	1%{?gitcommit_date:.%{gitcommit_date}}.3
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://christophe.varoqui.free.fr/
#Source0:	http://git.opensvc.com/gitweb.cgi?p=multipath-tools/.git;a=snapshot;h=%{gitcommit};sf=tgz
Source0:	%{name}-%{gitcommit}.tgz
Source1:	multipath.conf

# Patch "Fix build failure with fomat-security. Specify the format type. (00c9b3)" is needed for build
# Without "Always put watchdog in the config structure (aec68a)" patch the command 'multipath -c /dev/XXX' hangs on i586
# And this patch depends on several previous

# Local patches
Patch102:	multipath-tools-Change-unitdir.patch
Patch103:	multipath-tools-Fix-symlink.patch
Patch104:	multipath-tools-Make-libmultipath.so.patch
Patch105:	multipath-tools-Avoid-multipathd.socket-dep-cycle.patch
BuildRequires:	libaio-devel
BuildRequires:	readline-devel
BuildRequires:	sysfsutils-devel
BuildRequires:	pkgconfig(devmapper)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libsystemd-daemon)
Requires:	dmsetup
Requires:	kpartx = %{EVRD}
Conflicts:	kpartx < 0.4.8-16
Requires:	%{libname} = %{EVRD}
Requires(post,preun):rpm-helper

%description
This package provides the tools to manage multipathed devices by
instructing the device-mapper multipath module what to do. The tools
are:

- multipath: scan the system for multipathed devices, assembles them
  and update the device-mapper's maps

- multipathd: wait for maps events, then execs multipath

- devmap-name: provides a meaningful device name to udev for devmaps

- kpartx: maps linear devmaps upon device partitions, which makes
  multipath maps partionable

%package -n %{libname}
Group:		System/Libraries
Summary:	Libraries for multipath-tools

%description -n %{libname}
This package provides libraries for the tools to manage multipathed devices by
instructing the device-mapper multipath module what to do.

%package -n %{develname}
Group:		Development/C
Summary:	Development files for %{name}
Requires:	%{libname} = %{EVRD}


%description -n %{develname}
This package provides developer interface to manage multipathed devices by
instructing the device-mapper multipath module what to do.


%files
%defattr(-,root,root,755)
%doc AUTHOR COPYING README* ChangeLog FAQ multipath.conf.*
%config %{_udevdir}/11-dm-mpath.rules
%config(noreplace) %{_sysconfdir}/multipath.conf
/sbin/multipath
/sbin/multipathd
/sbin/mpathpersist
%{_mandir}/man?/mpath*
%{_mandir}/man?/multipath*
%{_unitdir}/multipathd.service
%{_unitdir}/multipathd.socket

%files -n %{libname}
%dir /%{_lib}/multipath/
/%{_lib}/multipath/*
/%{_lib}/libmultipath.so.*
/%{_lib}/libmpathpersist.so.*

%files -n %{develname}
%{_includedir}/mpath_persist.h
/%{_lib}/libmpathpersist.so
/%{_lib}/libmultipath.so

%preun
%_preun_service multipathd

%post
%_post_service multipathd

#----------------------------------------------------------------------------

%package -n kpartx
Summary:	Partition device manager for device-mapper devices
Group:		System/Kernel and hardware
Conflicts:	multipath-tools < 0.4.8-16

%description -n kpartx
kpartx manages partition creation and removal for device-mapper devices.

%files -n kpartx
/sbin/kpartx
%config(noreplace) %{_sysconfdir}/udev/rules.d/kpartx.rules
/lib/udev/kpartx_id
%{_mandir}/man8/kpartx.8*

#----------------------------------------------------------------------------

%prep
%setup -q %{?gitcommit:-n %{name}}
%apply_patches

%build
# parallel build support is broken:
make BUILD="glibc"

%install
%makeinstall_std
install -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/multipath.conf
rm -rf %{buildroot}%{_sysconfdir}/hotplug.d

%changelog

* Tue Mar 24 2015 din <d.fedorov@ntcit-rosa.ru> 0.5.0-1.20140913.3
- (73f393c) Merge pull request #3 from law/multipath-tools:rosa2014.1
- (73f393c) Blacklist all devices by default (#rm6225)


